# Uses of Package
exception

- Packages that use exception
  Package | Description
  --- | ---
  protocolP2P |
  tools |

- Classes in exception used by protocolP2P
  Class | Description
  --- | ---
  InternalError |
  ProtocolError |
  SizeError | Used on reception side when size as set in datagram is too big, and we cant store this in a int/long as usual.
  TransmissionError |
  VersionError |

- Classes in exception used by tools
  Class | Description
  --- | ---
  SizeError | Used on reception side when size as set in datagram is too big, and we cant store this in a int/long as usual.